# ===================================
#  Form Field Definitions
# ===================================

fields:
    id:
        label: ID
        disabled: true

    name:
        label: 'Movie Title'
        type: text

    slug:
        label: Slug
        type: text
        preset:
            field: name
            type: slug
            
    description:
        label: Description
        type: richeditor

    year:
        label: Year
        type: text

    poster:
        label: 'Movie Poster'
        type: fileupload
        mode: image
        useCaption: true
        thumbOptions:
            mode: crop
            extension: auto
        imageWidth: '100'
        imageHeight: '100'

    movie_gallery:
        label: 'Movie Gallery'
        type: fileupload
        mode: image
        useCaption: true
        thumbOptions:
            mode: crop
            extension: auto
        imageWidth: '80'
        imageHeight: '80'

    genres:
        label: Genres
        type: relation
        nameFrom: genre_title
        descriptionFrom: description
